--Order 20013877 (removed from update script Script_08.03.12.20.sql) / Order 20013059

---insert into ROUTETRANSACTIONCATEGORY table---
INSERT INTO ROUTETRANSACTIONCATEGORY
SELECT 3,
       'Proof of Visit Anomalies',
       'N',
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONCATEGORY
SELECT 4,
       'Contract Adjustments',
       'N',
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONCATEGORY
SELECT 5,
       'Contact Messages',
       'N',
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONCATEGORY
SELECT 6,
       'Deliver/Pickup Anomalies',
       'N',
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;


INSERT INTO ROUTETRANSACTIONCATEGORY_DESC
 (RouteTransactionCategory_ID, language_id, description, systemuser_id, timestamp)
  select RouteTransactionCategory_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from ROUTETRANSACTIONCATEGORY
   where ROUTETRANSACTIONCATEGORY.ROUTETRANSACTIONCATEGORY_id in (3, 4, 5, 6);
commit;

---insert into ROUTETRANSACTIONTYPE table---
INSERT INTO ROUTETRANSACTIONTYPE
SELECT 203,
       'Move Stop Permanent',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 204,
       'Add New Contact Message',
       'N',
       'N',
       5,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 205,
       'Update Existing Contact Message',
       'N',
       'N',
       5,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 206,
       'Proof of Visit Scan',
       'N',
       'N',
       3,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 207,
       'Signature Capture',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 208,
       'Move Stop Temporarily',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO ROUTETRANSACTIONTYPE
SELECT 209,
       'Change GPS Coordinates',
       'N',
       'N',
       0,
       getminsystemuser(),
       SYSDATE
FROM DUAL;
COMMIT;

INSERT INTO routetransactiontype_desc
 (routetransactiontype_ID, language_id, description, systemuser_id, timestamp)
  select routetransactiontype_ID,
         getminlanguage(),
         factorydescription,
         systemuser_id,
         timestamp
    from routetransactiontype
   where routetransactiontype.routetransactiontype_ID in (203, 204, 205, 206, 207, 208, 209);
commit;